export declare const baseColors: {
    white: string;
    black: string;
    gray: string[];
    blue: string;
    indigo: string;
    purple: string;
    pink: string;
    red: string;
    orange: string;
    yellow: string;
    green: string;
    teal: string;
    cyan: string;
};
export declare const colors: {
    grayDark: string;
    text: string;
    background: string;
    primary: string;
    secondary: string;
    muted: string;
    success: string;
    info: string;
    warning: string;
    danger: string;
    light: string;
    dark: string;
    textMuted: string;
    white: string;
    black: string;
    gray: string[];
    blue: string;
    indigo: string;
    purple: string;
    pink: string;
    red: string;
    orange: string;
    yellow: string;
    green: string;
    teal: string;
    cyan: string;
};
export declare const space: string[];
export declare const breakpoints: string[];
export declare const fonts: {
    body: string;
    heading: string;
    monospace: string;
    sans: string;
};
export declare const fontWeights: {
    body: number;
    heading: number;
    bold: number;
    light: number;
    normal: number;
    display: number;
};
export declare const fontSizes: Array<string> & {
    lead?: string;
};
export declare const lineHeights: {
    body: number;
    heading: number;
};
export declare const sizes: {
    sm: number;
    md: number;
    lg: number;
    xl: number;
};
export declare const radii: {
    default: string;
    sm: string;
    lg: string;
    pill: string;
};
export declare const shadows: {
    default: string;
    sm: string;
    lg: string;
};
export declare const styles: {
    root: {
        fontFamily: "body";
        lineHeight: string;
        fontWeight: string;
    };
    a: {
        color: "primary";
        textDecoration: string;
        ':hover': {
            textDecoration: string;
        };
    };
    p: {
        mb: number;
        lineHeight: string;
    };
    h1: {
        fontSize: number;
        fontFamily: string;
        fontWeight: string;
        lineHeight: string;
        mt: number;
        mb: number;
    };
    h2: {
        fontSize: number;
        fontFamily: string;
        fontWeight: string;
        lineHeight: string;
        mt: number;
        mb: number;
    };
    h3: {
        fontSize: number;
        fontFamily: string;
        fontWeight: string;
        lineHeight: string;
        mt: number;
        mb: number;
    };
    h4: {
        fontSize: number;
        fontFamily: string;
        fontWeight: string;
        lineHeight: string;
        mt: number;
        mb: number;
    };
    h5: {
        fontSize: number;
        fontFamily: string;
        fontWeight: string;
        lineHeight: string;
        mt: number;
        mb: number;
    };
    h6: {
        fontSize: number;
        fontFamily: string;
        fontWeight: string;
        lineHeight: string;
        mt: number;
        mb: number;
    };
    blockquote: {
        fontSize: number;
        mb: number;
    };
    table: {
        width: string;
        marginBottom: number;
        color: "gray.9";
        borderCollapse: "collapse";
    };
    th: {
        verticalAlign: string;
        borderTopWidth: number;
        borderTopStyle: string;
        borderTopColor: "gray.3";
        borderBottomWidth: number;
        borderBottomStyle: string;
        borderBottomColor: "gray.3";
        padding: string;
        textAlign: "inherit";
    };
    td: {
        borderBottomWidth: number;
        borderBottomStyle: string;
        borderBottomColor: "gray.3";
        verticalAlign: string;
        padding: string;
    };
    inlineCode: {
        color: "pink";
    };
    img: {
        maxWidth: string;
        height: string;
    };
};
export declare const bootstrap: {
    breakpoints: string[];
    colors: {
        grayDark: string;
        text: string;
        background: string;
        primary: string;
        secondary: string;
        muted: string;
        success: string;
        info: string;
        warning: string;
        danger: string;
        light: string;
        dark: string;
        textMuted: string;
        white: string;
        black: string;
        gray: string[];
        blue: string;
        indigo: string;
        purple: string;
        pink: string;
        red: string;
        orange: string;
        yellow: string;
        green: string;
        teal: string;
        cyan: string;
    };
    space: string[];
    fonts: {
        body: string;
        heading: string;
        monospace: string;
        sans: string;
    };
    fontSizes: string[] & {
        lead?: string | undefined;
    };
    fontWeights: {
        body: number;
        heading: number;
        bold: number;
        light: number;
        normal: number;
        display: number;
    };
    lineHeights: {
        body: number;
        heading: number;
    };
    sizes: {
        sm: number;
        md: number;
        lg: number;
        xl: number;
    };
    shadows: {
        default: string;
        sm: string;
        lg: string;
    };
    radii: {
        default: string;
        sm: string;
        lg: string;
        pill: string;
    };
    text: {
        heading: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            mt: number;
            mb: number;
        };
        display: {
            fontWeight: string;
            lineHeight: string;
        };
    };
    styles: {
        root: {
            fontFamily: "body";
            lineHeight: string;
            fontWeight: string;
        };
        a: {
            color: "primary";
            textDecoration: string;
            ':hover': {
                textDecoration: string;
            };
        };
        p: {
            mb: number;
            lineHeight: string;
        };
        h1: {
            fontSize: number;
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            mt: number;
            mb: number;
        };
        h2: {
            fontSize: number;
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            mt: number;
            mb: number;
        };
        h3: {
            fontSize: number;
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            mt: number;
            mb: number;
        };
        h4: {
            fontSize: number;
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            mt: number;
            mb: number;
        };
        h5: {
            fontSize: number;
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            mt: number;
            mb: number;
        };
        h6: {
            fontSize: number;
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            mt: number;
            mb: number;
        };
        blockquote: {
            fontSize: number;
            mb: number;
        };
        table: {
            width: string;
            marginBottom: number;
            color: "gray.9";
            borderCollapse: "collapse";
        };
        th: {
            verticalAlign: string;
            borderTopWidth: number;
            borderTopStyle: string;
            borderTopColor: "gray.3";
            borderBottomWidth: number;
            borderBottomStyle: string;
            borderBottomColor: "gray.3";
            padding: string;
            textAlign: "inherit";
        };
        td: {
            borderBottomWidth: number;
            borderBottomStyle: string;
            borderBottomColor: "gray.3";
            verticalAlign: string;
            padding: string;
        };
        inlineCode: {
            color: "pink";
        };
        img: {
            maxWidth: string;
            height: string;
        };
    };
};
export default bootstrap;
